Name: perl-Net-IMAP-Simple-SSL
Version: 1.3
Release: 2%{?dist}
Summary: Simple IMAP account handling with SSL
Group: Development/Libraries
License: GPL+ or Artistic
URL: http://search.cpan.org/dist/Net-IMAP-Simple-SSL
Source0: http://www.cpan.org/modules/by-module/Net/Net-IMAP-Simple-SSL-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: perl(ExtUtils::MakeMaker), perl(Test::More)
BuildRequires: perl(IO::Socket::SSL)
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl extension for simple IMAP account handling, mostly compatible
with Net::POP3.

%prep
%setup -q -n Net-IMAP-Simple-SSL-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make %{?_smp_mflags} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT

%check
make %{?_smp_mflags} test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README Changes
%dir %{perl_vendorlib}/Net/
%dir %{perl_vendorlib}/Net/IMAP/
%dir %{perl_vendorlib}/Net/IMAP/Simple/
%{perl_vendorlib}/Net/IMAP/Simple/SSL.pm
%{_mandir}/man3/Net::IMAP::Simple::SSL.3*

%changelog
* Sun Jun 27 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 1.3-2
- Fix %%description

* Sat Jun 19 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 1.3-1
- First package
